> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abigail.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Openclaw Download

> Download a completed ROA DOCX. Authenticated via signed URL token.

The token is generated when the ROA draft job completes and included
in the job status response. No X-API-Key needed -- the token IS the auth.



## OpenAPI

````yaml https://api.abigail.app/v1/openclaw/openapi.json get /v1/openclaw/download/{job_id}
openapi: 3.1.0
info:
  title: Abigail API
  description: >-
    Patent prosecution AI API. Analyze office actions, draft response documents,
    and access examiner intelligence.
  version: 1.0.0
  contact:
    name: Abigail Support
    url: https://abigail.app
    email: support@abigail.app
servers:
  - url: https://api.abigail.app
    description: Production
security: []
paths:
  /v1/openclaw/download/{job_id}:
    get:
      tags:
        - OpenClaw
      summary: Openclaw Download
      description: >-
        Download a completed ROA DOCX. Authenticated via signed URL token.


        The token is generated when the ROA draft job completes and included

        in the job status response. No X-API-Key needed -- the token IS the
        auth.
      operationId: openclaw_download_v1_openclaw_download__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
        - name: token
          in: query
          required: false
          schema:
            type: string
            default: ''
            title: Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````